Subject: bug#364: closed (Re: bug#365: rmail mode)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Jul 2011 02:27:02 +0000

Your bug report

#365: rmail-set-attribute

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
365: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=365
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#365: rmail mode
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Sat, 09 Jul 2011 22:26:00 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Sorry, this is all too vague for us to do anything about it.
If you still see the problem in the latest release, 23.3, please reply
giving a complete description and recipe starting from emacs -Q, and
the report can be re-opened if needed.

Bill Lytton wrote:

> ignore prior bug report since I may not have traced the problem
> correctly
>
> the real problem is that if I read an rmail buffer that I have
> previously read, it is marked buffer modified

>From [email-masked] Thu Jun  5 09:45:44 2008
Date: Thu, 5 Jun 2008 08:22:22 -0400
From: Bill Lytton <[email-masked]>
To: [email-masked]
Subject: rmail-set-attribute
Reply-to: [email-masked]

rmail-set-attribute writes unseen=nil attribute even on a message that was previously seen

In GNU Emacs 22.1.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2007-06-21 on ru.neurosim.downstate.edu
Windowing system distributor `The XFree86 Project, Inc', version 11.0.40201000
configured using `configure  '--prefix=/usr/arch' 'LIBS=-ldl''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8
  default-enable-multibyte-characters: t

Major mode: Apropos

Minor modes in effect:
  shell-dirtrack-mode: t
  display-time-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  unify-8859-on-encoding-mode: t
  utf-translate-cjk-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:

Recent messages:
Loading apropos...done
Mark saved where search started [3 times]
Loading emacsbug...done